Retrieves the global application settings for an Ops Manager installation.
Required Roles
To successfully call this endpoint, your API key must have
the Global Owner role.
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /admin/settings
Request Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Field | Type | Description |
|---|---|---|
| object | Key-value pairs of global app settings stored in the database. Ops Manager does not return secret settings in plain text. |
| object | Key-value pairs from the default configuration files bundled with Ops Manager. These settings differ from the instance-level configuration override file. |
| object | Per-instance database override settings. You can read but not update these settings through the public API. |
| object | Instance details associated with instance-level database overrides. |
| array of strings | Names of settings that Ops Manager stores as encrypted values in the database. The contents of this list may change in future releases. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/settings?pretty=true"
Example Response
Response Header
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
200 OK Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Response Body
1 { 2 "dbProperties": { 3 "mms.centralUrl": "https://ops-manager.example.com", 4 "mms.https.CAFile": "/path/to/ca/file" 5 }, 6 "defaultFileProperties": { 7 "mms.https.ClientCertificateMode": "none" 8 }, 9 "instanceOverrides": { 10 "instance-1": { 11 "reCaptcha.enabled.registration": "false" 12 } 13 }, 14 "instanceDetails": { 15 "instance-1": { 16 "om.instance.runtime.availableProcessors": 2 17 } 18 }, 19 "secretProperties": [ 20 "mms.smtp.password" 21 ] 22 }